--[=[ 

	Author: Klynk

--]=]

local AddOn_Name, AddOn_Data = ...;

-- Will load resources through LibSharedMedia-3.0 if possible.
local LSM = LibStub("LibSharedMedia-3.0");

if(LSM and LSM.MediaTable.font["Friz Quadrata TT"] and LSM.MediaTable.font["Morpheus"]) then 

	AddOn_Data.Fonts = LSM.MediaTable.font;
	
else

	-- Could not load LibSharedMedia-3.0, using default WoW fonts instead.
	AddOn_Data.Fonts = {
		["Friz Quadrata TT"] = [[Fonts\FRIZQT__.TTF]], 
		["Arial Narrow"] = [[Fonts\ARIALN.TTF]],
		["Skurri"] = [[Fonts\skurri.ttf]],
		["Morpheus"] = [[Fonts\MORPHEUS.ttf]],
	};
	
end

AddOn_Data.FontFlags = {
	["None"] = "", 
	["Outline"] = "OUTLINE",
	["Thick Outline"] = "THICKOUTLINE",
};